/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;

/**
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class ServerInfo {
	
	/** サーバID */
	protected int m_id; 
	/** ホスト名 */
	protected String m_host; 
	/** port */
	protected String m_port; 
	/** 状態(ステータス) */
	protected int m_status; 
	/** 状態(ステータス) */
	protected int m_changeStatus; 
	/** 処理フラグ */
	protected boolean m_chkFlag; 
	
	public ServerInfo(){
		
	}
	
	public ServerInfo(String host, String port, int status){
		m_host = host;
		m_port = port;
		m_status = status;
		m_changeStatus = status;
	}
	
	/**
	 * @return
	 */
	public int getId() {
		return m_id;
	}
	
	/**
	 * @return
	 */
	public int getStatus() {
		return m_status;
	}
	
	/**
	 * @return
	 */
	public int getChangeStatus() {
		return m_changeStatus;
	}
	
	/**
	 * @param i
	 */
	public void setId(int i) {
		m_id = i;
	}
	
	/**
	 * @param i
	 */
	public void setStatus(int i) {
		m_status = i;
	}
	
	/**
	 * @param i
	 */
	public void setChangeStatus(int i) {
		m_changeStatus = i;
	}
	
	/**
	 * @return
	 */
	public String getHost() {
		return m_host;
	}
	
	
	/**
	 * @param string
	 */
	public void setHost(String string) {
		m_host = string;
	}
	
	
	/**
	 * @return
	 */
	public boolean isChkFlag() {
		return m_chkFlag;
	}
	
	/**
	 * @param b
	 */
	public void setChkFlag(boolean b) {
		m_chkFlag = b;
	}
	
	/**
	 * @return
	 */
	public String getPort() {
		return m_port;
	}
	
	/**
	 * @param string
	 */
	public void setPort(String string) {
		m_port = string;
	}
}
